APTLY-PUBLISHER(1)

NAME
aptly-publisher - tool for easy creation of Aptly multi component publishes

DESCRIPTION
usage: aptly-publisher [-h] [-v] [-d] [--dry] [--timeout TIMEOUT] --url URL

[--recreate] [--no-recreate] [--force-overwrite]
    [--publish-contents] [--acquire-by-hash] [--components COMPONENTS [COMPONENTS ...]] [--storage STORAGE] [-p PUBLISH [PUBLISH ...]] [-c CONFIG] [--dists DISTS [DISTS ...]] [--architectures ARCHITECTURES [ARCHITECTURES ...]] [--only-latest] [--source SOURCE] [--target TARGET] [--packages PACKAGES [PACKAGES ...]] [--diff] [--hard] [-r RESTORE_FILE] [-s SAVE_DIR] [-x PREFIX] action

  positional arguments:

action
    Action to perform (publish, promote, cleanup, restore, dump, purge)

  optional arguments:

-h, --help
    show this help message and exit

  Common:

-v, --verbose

-d, --debug

--dry, --dry-run

--timeout TIMEOUT
    Aptly client timeout. Raise for larger publishes and slow server.

--url URL
    URL to Aptly API, eg. http://localhost:8080

--recreate
    Drop publish and create it again, only way to add new components

--no-recreate
    Never recreate publish (even when we are adding new components where it's the only option)

--force-overwrite
    Overwrite files in pool/ directory without notice

--publish-contents
    Publish contents. It's slow so disabled by default to support large repositories.

--acquire-by-hash
    Use Acquire-by-hash option. This may help with repository consistency.

--components COMPONENTS [COMPONENTS ...]
    Space-separated list of components to promote or restore or to purge (in case of purge)

--storage STORAGE
    Storage backend to use for all publishes, can be empty (filesystem, default), swift:[name] or s3:[name]

-p PUBLISH [PUBLISH ...], --publish PUBLISH [PUBLISH ...]
    Space-separated list of publish

  Action 'publish':

-c CONFIG, --config CONFIG
    Configuration YAML file

--dists DISTS [DISTS ...]
    Space-separated list of distribution to work with (including prefix), default all.

--architectures ARCHITECTURES [ARCHITECTURES ...]
    List of architectures to publish (also determined by config, defaults to amd64, i386)

--only-latest
    Publish only latest packages of every publishes

  Action 'promote':

--source SOURCE
    Source publish to take snapshots from. Can be regular expression, eg. jessie(/?.*)/nightly

--target TARGET
    Target publish to update. Must be format if source is regex, eg. jessie{0}/testing

--packages PACKAGES [PACKAGES ...]
    Space-separated list of packages to promote

--diff
    Show differences between publishes (snapshots to be updated)

  Purge:

--hard
    Remove all unused packages and snapshots

  Action 'restore':

-r RESTORE_FILE, --restore-file RESTORE_FILE
    File used to restore publish

  Action 'dump':

-s SAVE_DIR, --save-dir SAVE_DIR
    Path of where dump of publish will be done

-x PREFIX, --prefix PREFIX
    Prefix for dump files' names

SEE ALSO
The full documentation for aptly-publisher is maintained as a Texinfo manual. If the info and aptly-publisher programs are properly installed at your site, the command

    info aptly-publisher

should give you access to the complete manual.